/* Modal Base CSS */
/* The Modal (background) */
.feedback-modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 2000; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.feedback-modal-content {
  position: relative;
  background-color: #fefefe;
  padding: 0;
  border: 1px solid #888;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.4s;
  animation-name: animatetop;
  animation-duration: 0.4s;  
}

#form-comment {
  resize: none;
}

.privacy-note{
  font-size: smaller;
}

.feedback-modal-footer {
  padding: 2px 16px;
}

/* Mobile Portrait */
@media only screen and (min-width: 100px) {
  .feedback-modal {
    padding-top: 0px;
  }

  .feedback-modal-content {
    width: 100%;
    height: inherit;
  } 

  #form-comment {
    width: -webkit-fill-available;
    width: -moz-available;
    height: 100px;
  }

  .feedback-dialog-final{
    position: fixed;
    margin: unset;
    width: -webkit-fill-available !important;
    width: -moz-available !important;
  }
}

@media only screen and (orientation: landscape) {

  #form-comment {
    width: -webkit-fill-available;
    width: -moz-available;
    height: 70px;
  }

  .height-unset-landscape {
    height: unset !important;
  }
}

/* Desktop */
@media only screen and (min-width: 992px) {
  .feedback-modal {
    padding-top: 100px;
  }

  .feedback-modal-content {
    margin: auto;
    width: 80%;
    height: initial;    
    min-width: 250px;
    max-width: 600px;
  } 

  #form-comment {
    width: 400px;
    height: 100px;
  }

  .feedback-dialog-final{
    position: fixed;
    width: 450px !important;
  }
}

.feedback-modal.feedback-open {
    display:block;
}

/* Close Button */
.feedback-close
{
    font-family: Helvetica,Arial,sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 12px;

    position: absolute;
    top: 5px;
    right: 5px;

    padding: 5px 7px 7px;

    cursor: pointer;

    color: #fff;
    border: 0;
    outline: none;
    background: #e74c3c;
}

.feedback-modal-body {padding: 2px 16px;}

.feedback-close:hover
{
    background: #c0392b;
}

.feedback-modal-header {
    padding: 2px 16px;
    border: 0;
    font-weight: bold;
    background: #0058a4;
    color: white;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    height: 30px;
}

/* Additions */
#feedback-modal-title{
  display: inline-block;
  padding-top: 5px;
}

.feedback-input {
  margin-bottom: 5px;;
  width: 250px;
}

.submit-feedback-btn {
  color: #FFF;
  background-color: #0f5895;
  background-repeat: repeat-x;
  background-image: -khtml-gradient(linear, left top, left bottom, from(#377bb2), to(#0f5895));
  background-image: -moz-linear-gradient(top, #377bb2, #0f5895);
  background-image: -ms-linear-gradient(top, #377bb2, #0f5895);
  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #377bb2), color-stop(100%, #0f5895));
  background-image: -webkit-linear-gradient(top, #377bb2, #0f5895);
  background-image: -o-linear-gradient(top, #377bb2, #0f5895);
  background-image: linear-gradient(top, #377bb2, #0f5895);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#377bb2', endColorstr='#0f5895', GradientType=0);
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  color: #ffffff;
  text-shadow: none;
  margin: 5px 10px 5px 0;
}

.cancel-feedback-btn {
  color: #FFF;
  background-color: #e6e6e6;
  background-repeat: repeat-x;
  background-image: -khtml-gradient(linear, left top, left bottom, from(#ffffff), to(#e6e6e6));
  background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -ms-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(100%, #e6e6e6));
  background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
  background-image: linear-gradient(top, #ffffff, #e6e6e6);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#e6e6e6', GradientType=0);
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  color: #000000;
  text-shadow: none;
  margin: 5px 0;
}

#validationErrors {
  color: red;
  font-size: smaller;
}

.ui-widget-header { 
  border: 0;
  font-weight: bold;
  background: #0058a4;
  color: white;
}

.form-label {
  font-size: smaller;
}

@media only screen and (max-width: 992px) and (orientation: landscape) {
  .feedback-modal {
    padding-top: 0px;
  }

  .feedback-modal-content {
    margin: unset;
    width: 100%;
    height: 100%;    
    min-width: unset;
    max-width: unset;
  } 
}
